TextRunnerTest
Keywords: junit.tests.runner.TextRunnerTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.runner
Class TextRunnerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.runner.TextRunnerTest

All Implemented Interfaces:
  Test

    public class TextRunnerTest

extends TestCase

Constructor Summary
`TextRunnerTest()`

Method Summary
`void` | `testError()`
`void` | `testFailure()`
`void` | `testRunReturnsResult()`
`void` | `testSuccess()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextRunnerTest

    public TextRunnerTest()

Method Detail

### testFailure

    public void testFailure()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSuccess

    public void testSuccess()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testError

    public void testError()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRunReturnsResult

    public void testRunReturnsResult()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD